datablock ParticleData(BokehParticle)
{
	textureName          = "./bokehDot";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 8192;
	lifetimeVarianceMS   = 0;
	spinSpeed     = 50;
	spinRandomMin = -360.0;
	spinRandomMax =  360.0;
	useInvAlpha   = false;

	colors[0]	= "1 1 1 0";
	colors[1]	= "1 1 1 1";
	colors[2]	= "1 1 1 1";
	colors[3]	= "1 1 1 0";

	sizes[0]	= 0.2;
	sizes[1]	= 0.2;
	sizes[2]	= 0.2;
	sizes[3]	= 0.2;

	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 0.9;
	times[3]	= 1.0;
};

datablock ParticleData(Bokeh5Particle : BokehParticle)
{
	textureName          = "./bokehDot5";
};

datablock ParticleData(Bokeh10Particle : BokehParticle)
{
	textureName          = "./bokehDot10";
};

datablock ParticleEmitterData(BokehEmitter)
{
   ejectionPeriodMS = 250;
   periodVarianceMS = 0;
   ejectionVelocity = 0.4;
   ejectionOffset   = 0.0;
   velocityVariance = 0.2;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   particles = BokehParticle;   

   useEmitterColors = true;

   uiName = "Bokeh - Clear";
};

datablock ParticleEmitterData(Bokeh5Emitter : BokehEmitter)
{
   particles = Bokeh5Particle;   
   uiName = "Bokeh - 5% Blur";
};

datablock ParticleEmitterData(Bokeh10Emitter : BokehEmitter)
{
   particles = Bokeh10Particle;   
   uiName = "Bokeh - 10% Blur";
};